> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add extra recipient email or verify code

> You can send email receipts to the expense platform and we will create an expense automatically. If you want to add more addresses besides the one that is already registered, for instance, if you have a private address that you want to send in receipts from. You can add them on this endpoint with the query action parameter `add`,  them you need to send another request with the action parameter `verify` (with the code sent to the new address) to execute the change.



## OpenAPI

````yaml openapi/findity-expense-api.json POST /me/extrarecipients
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/extrarecipients:
    post:
      tags:
        - User
      summary: Add extra recipient email or verify code
      description: >-
        You can send email receipts to the expense platform and we will create
        an expense automatically. If you want to add more addresses besides the
        one that is already registered, for instance, if you have a private
        address that you want to send in receipts from. You can add them on this
        endpoint with the query action parameter `add`,  them you need to send
        another request with the action parameter `verify` (with the code sent
        to the new address) to execute the change.
      operationId: createExtraRecipientChallenge
      parameters:
        - name: action
          in: query
          description: the action to perform
          required: true
          schema:
            type: string
            enum:
              - add
              - verify
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailRequest'
            examples:
              createChallenge:
                value:
                  email: user@example.com
              verify:
                value:
                  verificationCode: 123456
      responses:
        '201':
          description: OK
          content:
            application/json:
              example:
                result: success
                message: Verification email sent
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                invalid action:
                  value:
                    result: error
                    code: INVALID_ACTION
                    description: Action 'some-action' is invalid
                invalid email:
                  value:
                    result: error
                    code: INVALID_EMAIL
                    description: a@b is not a valid e-mail address
                email already in use:
                  value:
                    result: error
                    code: EMAIL_ALREADY_IN_USE
                    description: An account already exists for this email address
                invalid verification code:
                  value:
                    result: error
                    code: INVALID_VERIFICATION_CODE
                    description: The verification code is invalid
                expired verification code:
                  value:
                    result: error
                    code: EXPIRED_VERIFICATION_CODE
                    description: The verification code is expired
                invalid json body:
                  value:
                    result: error
                    code: INVALID_JSON_BODY
                    description: Failed to parse json body
                unknown properties:
                  value:
                    result: error
                    code: NO_KNOWN_JSON_PROPERTIES
                    description: No known, or only read-only properties received
components:
  schemas:
    EmailRequest:
      type: object
      properties:
        email:
          description: New email address to verify. Required when initiating the change.
          type: string
        verificationCode:
          description: >-
            Six-character verification code from the email Findity sent after
            the initial change request.
          type: string
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````